Уязвимость завышения на единицу в NASM

Дата публикации:
11.06.2008
Всего просмотров:
882
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
NASM (Netwide Assembler) 0.x
NASM (Netwide Assembler) 2.x
Уязвимые версии: NASM версии до 2.03

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки завышения на единицу в функции "ppscan()" в файле preproc.c. Удаленный пользователь может с помощью специально сформированного ASM файла вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: nasm.sourceforge.net

Решение: Установите последнюю версию 2.03 с сайта производителя.

или введите имя

CAPTCHA